# 将记录下一张牌的位置的两个AEC归位
execute at @e[tag=seat_1] if entity @e[tag=game,scores={playtime=80}] positioned ^ ^ ^2 run teleport @e[tag=sc1] ~0.5 ~0.5 ~
execute at @e[tag=seat_2] if entity @e[tag=game,scores={playtime=80}] positioned ^ ^ ^2 run teleport @e[tag=sc2] ~0.5 ~0.5 ~
# ai计时重置
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[tag=seat,scores={player=1..}] playtime 20
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[tag=seat,scores={player=1..}] game_step 0
# 重置记录双方数字牌信息的storage以及牌的数量slot
execute if entity @e[tag=game,scores={playtime=80}] run data modify storage minecraft:p1 Cards set value []
execute if entity @e[tag=game,scores={playtime=80}] run data modify storage minecraft:p2 Cards set value []
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] slot 0
# 清除上一局所有在场上的数字牌
execute if entity @e[tag=game,scores={playtime=80}] run kill @e[tag=car]
execute if entity @e[tag=game,scores={playtime=80}] run stopsound @a * minecraft:music_disc.13
execute as @a at @s if entity @e[tag=game,scores={playtime=80}] run playsound minecraft:music_disc.13 player @s ~ ~ ~ 0.05 0.6 0.05
# 交换双方先手
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] turn 0
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={first=1,player=1..}] turn 1
# 默认双方都先抽了牌（如果双方choice的值都为0将进入结算阶段）
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] choice 1
# 重置双方数字牌总合
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] sum 0
# 重置点头摇头
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] time 0
# 重置规则最大值为21
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[tag=game] max 21
# 重置双方赌注大小为1
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[scores={player=1..}] bet 1
# 重置所有记录数字牌信息的AEC为未被抽取的状态
execute if entity @e[tag=game,scores={playtime=80}] run scoreboard players set @e[tag=number] picked 0
execute as @a[scores={player=1..}] at @e[tag=textbox] if entity @e[tag=game,scores={playtime=10..}] run playsound minecraft:weather.rain player @s ~ ~ ~ 0.005 2 0
# 双方各抽1张功能牌
execute as @e[scores={player=1..,turn=1}] if entity @e[tag=game,scores={playtime=75}] run function game:getf
execute as @e[scores={player=1..,turn=0}] if entity @e[tag=game,scores={playtime=65}] run function game:getf
# 双方各抽2张数字牌
execute as @e[scores={player=1..,turn=1}] if entity @e[tag=game,scores={playtime=55}] run function game:getc
execute as @e[scores={player=1..,turn=0}] if entity @e[tag=game,scores={playtime=40}] run function game:getc
execute as @e[scores={player=1..,turn=1}] if entity @e[tag=game,scores={playtime=25}] run function game:getc
execute as @e[scores={player=1..,turn=0}] if entity @e[tag=game,scores={playtime=10}] run function game:getc
execute as @e[tag=textbox] if entity @e[tag=game,scores={playtime=80}] run data modify entity @s CustomName set value '{"text":"cscztyshys","bold":"true","obfuscated":"true"}'
scoreboard players remove @s playtime 1
# 进入抽牌阶段
scoreboard players set @s[scores={playtime=0}] display -1
scoreboard players add @s[scores={playtime=0}] turn 1
execute as @e[scores={player=1..}] at @s if entity @e[tag=game,scores={playtime=0}] run playsound minecraft:block.chest.open player @s ~ ~ ~ 0.2 0.76 0
execute as @e[tag=seat] at @s if entity @e[tag=game,scores={playtime=0}] if entity @e[scores={player=1..,turn=1},distance=..1] run fill ~-6 ~0.5 ~ ~ ~0.5 ~ minecraft:sea_lantern replace minecraft:andesite
execute as @e[tag=seat] at @s if entity @e[tag=game,scores={playtime=0}] if entity @e[scores={player=1..,turn=0},distance=..1] run fill ~-6 ~0.5 ~ ~ ~0.5 ~ minecraft:andesite replace minecraft:sea_lantern
execute as @e[scores={player=1..,turn=1}] at @s if entity @e[tag=game,scores={playtime=0}] run data modify entity @e[tag=textbox,limit=1,sort=furthest] CustomName set value '{"text":"YOUR TURN","bold":"true","obfuscated":"false","color":"green"}'
execute as @e[scores={player=1..,turn=1}] at @s if entity @e[tag=game,scores={playtime=0}] run data modify entity @e[tag=textbox,limit=1,sort=nearest] CustomName set value '{"text":"WAIT","bold":"true","obfuscated":"false","color":"white"}'